0
Help us understand the problem. What are the problem?

More than 1 year has passed since last update.

posted at

updated at

[flutter] sdkmanagerの入れ方

はじめに

flutter docterでAndroid license status unknownと怒られてたので対処しました。

[✓] Flutter (Channel stable, v1.12.13+hotfix.8, on Linux, locale ja_JP.UTF-8)
[!] Android toolchain - develop for Android devices (Android SDK version 29.0.3)
    ✗ Android license status unknown.
      Try re-installing or updating your Android SDK Manager.
      See https://developer.android.com/studio/#downloads or visit
      https://flutter.dev/setup/#android-setup for detailed instructions.
[✓] Android Studio (version 3.6)
[✓] VS Code (version 1.42.1)

開発環境

Linux

方法

Android Studioの Appearance & Behavior >> System Settings >> Android SDK >> SDK Tools タブ >> Android SDK Toolsにチェック >> Apply >> インストール

確認

すべてyを入力するとAll SDK package licenses acceptedと表示されて無事完了

❯ flutter doctor --android-licenses

Accept? (y/N): y
...
...
Accept? (y/N): y
All SDK package licenses accepted
❯ flutter doctor                                                  2020/02/27 20:42:08
Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, v1.12.13+hotfix.8, on Linux, locale
    ja_JP.UTF-8)

[✓] Android toolchain - develop for Android devices (Android SDK version
    29.0.3)
[✓] Android Studio (version 3.6)
[✓] VS Code (version 1.42.1)
[✓] Connected device (1 available)
Why not register and get more from Qiita?
  1. We will deliver articles that match you
    By following users and tags, you can catch up information on technical fields that you are interested in as a whole
  2. you can read useful information later efficiently
    By "stocking" the articles you like, you can search right away
Sign upLogin
0
Help us understand the problem. What are the problem?